POST
/api/v1/external/webhookCreate a new webhook
🔒 Bearer Token
Request Body
application/jsonrequiredidinteger (int64)Webhook ID
urlstringrequiredWebhook request URL
Пример: https://example.com/webhook
tokenstringToken for webhook request
authorizationHeaderPrefixstringAuthorization header prefix
Пример: Bearer
eventsstring[]Set of event types to subscribe
entitiesstring[]Set of entity types to subscribe
Responses
curl -X POST \
'http://dev-backend-1.guestme.space/api/v1/external/webhook' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"id": 0,
"url": "https://example.com/webhook",
"token": "string",
"authorizationHeaderPrefix": "Bearer",
"events": [
"CREATE"
],
"entities": [
"RESTAURANT"
]
}'Response
{
"id": 0,
"url": "https://example.com/webhook",
"token": "string",
"authorizationHeaderPrefix": "Bearer",
"events": [
"CREATE"
],
"entities": [
"RESTAURANT"
]
}